Bug 1097537 (CVE-2014-3462)

Summary: CVE-2014-3462 fuse-encfs: multiple cryptography issues
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: carnil, jokajak, mszpak, opensource
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:33:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1097539, 1097540    
Bug Blocks:    

Description Murray McAllister 2014-05-14 04:58:05 UTC
A number of issues were found in the cryptography practices of EncFS. These are detailed in the following audit:

https://defuse.ca/audits/encfs.htm

It also notes some of the issues in bug 630460 may not be fixed correctly.

A fix is currently not available. Fedora and EPEL use a 1.x version. A future 2.0 release may correct these issues: https://code.google.com/p/encfs/issues/detail?id=186

Comment 1 Murray McAllister 2014-05-14 04:59:30 UTC
Created fuse-encfs tracking bugs for this issue:

Affects: fedora-all [bug 1097539]
Affects: epel-all [bug 1097540]

Comment 2 Murray McAllister 2014-05-14 05:09:06 UTC
CVE request: http://www.openwall.com/lists/oss-security/2014/05/14/1

Comment 3 Murray McAllister 2014-05-14 06:18:03 UTC
MITRE assigned CVE-2014-3462 to the "Editing Configuration File Disables MACs" (from the original audit report) issue:

http://seclists.org/oss-sec/2014/q2/305

Comment 5 Product Security DevOps Team 2019-06-08 02:33:00 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.